Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 690102 - app-editors/nvi: last rites
Summary: app-editors/nvi: last rites
Status: CONFIRMED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Felix Janda
URL:
Whiteboard:
Keywords:
Depends on: CVE-2019-12735
Blocks: 466030 656864 689442
  Show dependency tree
 
Reported: 2019-07-17 18:23 UTC by Felix Janda
Modified: 2019-07-29 15:54 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Felix Janda 2019-07-17 18:23:00 UTC
app-editors/nvi is based on very old code needing a lot of patches, and
can be well replaced by >=app-edtors/vim-8.1.1155[minimal].
Comment 1 Jonas Stein gentoo-dev 2019-07-22 21:06:28 UTC
https://sites.google.com/a/bostic.com/keithbostic/files
no patches and updates since 2010?

Seems to be really dead.
I think you should really last rite it. 

see "Removing a package"
https://devmanual.gentoo.org/ebuild-maintenance/maintenance-tasks/

Please ask on IRC, if you need help.
Comment 2 Felix Janda 2019-07-29 15:54:42 UTC
It is not that dead, a few patches have been accepted since 2010:
https://repo.or.cz/nvi.git

The last time I heard anything from the maintainer was in January 2017.